Endpoints
Get User Yield
Returns paginated Breeze position value and earned yield for a wallet. Optionally filter by fund_id; values are in each fund's base token units and APY is expressed as percentage points.
Authorization
api_key x-api-key<token>
In: header
Path Parameters
user_id*string
Fund user wallet address
Query Parameters
fund_id?string
Filter by specific fund
page?integer
Page number
Format
int32Range
0 <= valuelimit?integer
Items per page
Format
int32Range
0 <= valueResponse Body
application/json
text/plain
application/json
application/json
application/json
curl -X GET "https://example.com/user-yield/string"{ "data": [ { "apy": 5.66, "base_asset": "USDC", "entry_date": "2026-07-28T18:32:05+00:00", "fund_id": "LbUiWL3xVV8hTFYBVdbTNrpDo41NKS6o3LHHuDzjfcY", "fund_name": "Fund LbUiWL3xVV8hTFYBVdbTNrpDo41NKS6o3LHHuDzjfcY", "last_updated": "2026-07-28T18:32:05+00:00", "position_value": 2003215, "yield_earned": 3215 } ], "meta": { "has_more": false, "page": 1, "per_page": 10, "total": 1, "total_pages": 1 }}"Failed to deserialize query string: page: invalid digit found in string"{ "message": "Missing credentials"}{ "message": "API key invalid or doesn't exist"}{ "message": "Internal server error"}